LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDataPilotMemberResults Interface Reference

provides access to a sequence of results of a data pilot source level. More...

`import"XDataPilotMemberResults.idl";`

Inheritance diagram for XDataPilotMemberResults:

## Public Member Functions
sequence< com::sun::star::sheet::MemberResult > | getResults ()
| returns the sequence of results for the regarding data pilot source level. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a sequence of results of a data pilot source level.

These results are used to fill the data area for the level in a data pilot table.

See also
  com::sun::star::sheet::DataPilotSourceLevel
  com::sun::star::sheet::DataPilotSource
  com::sun::star::sheet::XDataPilotResults

## Member Function Documentation

## ◆ getResults()

sequence< com::sun::star::sheet::MemberResult > getResults | ( |  | ) |

returns the sequence of results for the regarding data pilot source level.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDataPilotMemberResults.idl